Bug 202554 - USB Boot takes over 2 hours
USB Boot takes over 2 hours
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-14 22:50 EDT by Chris Tyler
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 16:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Tyler 2006-08-14 22:50:26 EDT
Description of problem:
- Booting 20060814 rawhide takes >2 hours from USB drive

Version-Release number of selected component (if applicable):
- FC6t2 installed on USB disk (does not boot), updated to rawhide on 2006-08-14
(via rescue mode, chroot /mnt/sysimage, ifup eth0, yum update).

How reproducible:
- Install FC6t2 on USB disk
- Update to rawhide 20060814 via rescue mode boot
- Try to boot from USB. Kernel boot messages show:

...normal boot...
scsi0 : SCSI emulation for USB Mass Storage devices
PM: Adding info for No Bus:host0
usb-storage: device found at 3
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
usb-storage: waiting for device to settle before scanning

===================== Brief pause at this point ===================

PM: Adding info for No Bus:target0:0:0
  Vendor: Maxtor 2  Model: B020H1            Rev: WAH2
  Type:   Direct-Access                      ANSI SCSI revision: 00
PM: Adding info for scsi:0:0:0:0
SCSI device sda: 40020623 512-byte hdwr sectors (20491 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
SCSI device sda: 40020623 512-byte hdwr sectors (20491 MB)
sda: Write Protect is off
sda: Mode Sense: 03 00 00 00
sda: assuming drive cache: write through
 sda: sda1 sda2 sda3
sd 0:0:0:0: Attached scsi disk sda
PM: Adding info for No Bus:target0:0:1
PM: Removing info for No Bus:target0:0:1
PM: Adding info for No Bus:target0:0:2
PM: Removing info for No Bus:target0:0:2
PM: Adding info for No Bus:target0:0:3
PM: Removing info for No Bus:target0:0:3
PM: Adding info for No Bus:target0:0:4
PM: Removing info for No Bus:target0:0:4
PM: Adding info for No Bus:target0:0:5
PM: Removing info for No Bus:target0:0:5
PM: Adding info for No Bus:target0:0:6
PM: Removing info for No Bus:target0:0:6
PM: Adding info for No Bus:target0:0:7
PM: Removing info for No Bus:target0:0:7
usb-storage: device scan complete

===================== Really long pause at this point. At least 5 lines of 
the following form are output at 20-30 minute intervals, total about 2 - 2.25
hours delay:

was: 23423432424.23423423 sb: 353463635345.34533453 now: 64563535345.34553234

===================== Then eventually the boot continues. Don't know what 
message appeared on the screen but dmesg shows this as the next output:

libata version 2.00 loaded.
ata_piix 0000:00:1f.2: version 2.00
ata_piix 0000:00:1f.2: MAP [ P0 P2 P1 P3 ]
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 19 (level, low) -> IRQ 193
PCI: Setting latency timer of device 0000:00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0x40C8 ctl 0x40E6 bmdma 0x40A0 irq 193
ata2: SATA max UDMA/133 cmd 0x40C0 ctl 0x40E2 bmdma 0x40A8 irq 193
scsi1 : ata_piix
...etc...

Expected results:
Boot without 2+ hour delay

Additional info:
Drive was Maxtor in external USB2.0 highspeed casing. CPU was Pentium D on an
Intel board (don't have the model number with me at the moment). SATA drive
/dev/hdf was present but empty (originally had no partition table, tried again
with single large empty partition on /dev/hdf, no change).

Note You need to log in before you can comment on or make changes to this bug.